bash 4.1-2ubuntu3.4 source package in Ubuntu

Changelog

bash (4.1-2ubuntu3.4) lucid-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds memory access
    - debian/patches/CVE-2014-718x.dpatch: guard against overflow and fix
      off-by-one in parse.y.
    - CVE-2014-7186
    - CVE-2014-7187
  * SECURITY IMPROVEMENT: use prefixes and suffixes for function exports
    - debian/patches/variables-affix.dpatch: add prefixes and suffixes in
      variables.c.
  * debian/rules: added new patches to list.
 -- Marc Deslauriers <email address hidden>   Fri, 26 Sep 2014 13:30:27 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2014-09-27
Uploaded to:
Lucid
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
base
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
bash_4.1.orig.tar.gz 3.8 MiB 7bd1ef23a44e814e0a99230f39e4cf96753e59474f2e7a00992a9c672d8a3365
bash_4.1-2ubuntu3.4.diff.gz 88.0 KiB f890d2977723200da23f58a7900c3c6d00ec7b1a35fe19426cd4b3f6e7a70aba
bash_4.1-2ubuntu3.4.dsc 1.9 KiB b86aa2a5cf035726c733832a59f7ffc0d4df692a41ba23dec65bf7e12e78f63f

Available diffs

View changes file

Binary packages built by this source

bash: No summary available for bash in ubuntu lucid.

No description available for bash in ubuntu lucid.

bash-builtins: No summary available for bash-builtins in ubuntu lucid.

No description available for bash-builtins in ubuntu lucid.

bash-doc: No summary available for bash-doc in ubuntu lucid.

No description available for bash-doc in ubuntu lucid.

bash-static: No summary available for bash-static in ubuntu lucid.

No description available for bash-static in ubuntu lucid.